/* recognize tokens for the calculator and print them out */
%%
"+" { printf("PLUS\n"); }
"-" { printf("MINUS\n"); }
"*" { printf("TIMES\n"); }
"/" { printf("DIVIDE\n"); }
"(" { printf("OP\n"); }
")" { printf("CP\n"); }
[0-9]+ { printf("NUMBER %s\n", yytext); }
\n { printf("NEWLINE\n"); }
[ \t] { }
. { printf("Mystery character %s\n", yytext); }
%%

int yywrap()
{
	return 1;
}

int main( argc, argv )
int argc;
char **argv;
{
	++argv; --argc; /* skip over program name */
	if ( argc > 0 ) yyin = fopen( argv[0], "r" );
	else yyin = stdin;
	yylex();
	return 1;
}